POST /whatsapp/business-profile/username

Claim (or with transferAction force_transfer, transfer) a username

POST
/whatsapp/business-profile/username

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Request Body

application/json
  1. body
accountId*string

WhatsApp account id

username*string
transferAction?string
Value in"force_transfer""none"

Response Body

{success, username, status}

application/json
  1. response
success?boolean
username?string
status?string
Example Request
curl -X POST 'https://example.com/api/v1/whatsapp/business-profile/username' \  -H 'Content-Type: application/json' \  -d '{  "accountId": "string",  "username": "string"}'
Example Response
{  "success": true,  "username": "string",  "status": "string"}